## org.eclipse.ocl.util
Interface Tuple<O,P>

    public interface Tuple<O,P>

Interface of a tuple instance value. OCL expressions resulting in tuples yield instances of this interface.

Method Summary
`TupleType<O,P>` `getTupleType()` Obtains the tuple's type.
`Object` `getValue(P part)` Queries the value of the specified tuple part.
`Object` `getValue(String partName)` Queries the value of the specified tuple part.

Method Detail

### getTupleType

    TupleType<O,P> getTupleType()

  Obtains the tuple's type.

  Returns:
    its type

### getValue

    Object getValue(String partName)

  Queries the value of the specified tuple part.

  Parameters:
    `partName` - the name of the part
  Returns:
    the corresponding value

### getValue

    Object getValue(P part)

  Queries the value of the specified tuple part.

  Parameters:
    `part` - the tuple part (as an attribute)
  Returns:
    the corresponding value

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.